## org.eclipse.emf.ecoretools.tabbedproperties.sections
Class AbstractStringListPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection
              org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTextPropertySection
                  org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractStringListPropertySection

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISection

    public abstract class AbstractStringListPropertySection

extends AbstractTextPropertySection

An abstract Section used to edit features of type `List<String>`

Field Summary
`static java.util.regex.Pattern` `STRING_LIST_PATTERN` The Pattern used to check an List of String

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractStringListPropertySection()`

Method Summary
`protected void` `createCommand(java.lang.Object oldValue, java.lang.Object newValue)` Manages a self-contained set of interrelated EMF models and the `Command`s that modify them.
`protected org.eclipse.emf.ecore.EStructuralFeature` `getFeature()` Get the feature for the combo field for the section.
`protected java.lang.String` `getFeatureAsString()` Get the value of the feature as text for the text field for the section.
`protected java.lang.Object` `getNewFeatureValue(java.lang.String newText)` Get the new value of the feature from the text field of the section.
`protected java.lang.Object` `getOldFeatureValue()` Returns the feature value from the model as an object type.
`protected abstract java.util.List<java.lang.String>` `getStringListValues(org.eclipse.emf.ecore.EObject modelElt)`
`protected boolean` `isTextValid()` Check whether the text entered is valid or not.
`protected abstract void` `setStringListValues(org.eclipse.emf.ecore.EObject modelElt, java.util.List<java.lang.String> newValue)`
`protected void` `verifyField(org.eclipse.swt.widgets.Event e)` Subclasses may provide their own checker on the text that is entered by the user and update the 'doit' flag of the Event in consequence.

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTextPropertySection
`createControls, createWidgets, focusIn, focusOut, getListener, getNameLabel, getStyle, getText, handleTextModified, hookListeners, refresh, setSectionData`

Methods inherited from class org.eclipse.emf.ecoretools.tabbedproperties.sections.AbstractTabbedPropertySection

`aboutToBeHidden, aboutToBeShown, adaptToEObject, addListener, clearDecorators, getActivePage, getEditingDomain, getEObject, getEObjectList, getLabelText, getMainComposite, getMessageManager, getModelListener, getSectionComposite, getStandardLabelWidth, getStatusLineManager, handleModelChanged, isReadOnly, makeContributions, removeListener, setDecorator, setErrorDecorator, setErrorMessage, setInfoDecorator, setInput, setMessage, setWarningDecorator`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`dispose, getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_LIST_PATTERN

    public static final java.util.regex.Pattern STRING_LIST_PATTERN

  The Pattern used to check an List of String

Constructor Detail

### AbstractStringListPropertySection

    public AbstractStringListPropertySection()

Method Detail

### getFeatureAsString

    protected java.lang.String getFeatureAsString()

  Description copied from class: `AbstractTextPropertySection`
  Get the value of the feature as text for the text field for the section.

  Specified by:
    `getFeatureAsString` in class `AbstractTextPropertySection`
  Returns:
    the value of the feature as text.

### getNewFeatureValue

    protected java.lang.Object getNewFeatureValue(java.lang.String newText)

  Description copied from class: `AbstractTextPropertySection`
  Get the new value of the feature from the text field of the section.

  Specified by:
    `getNewFeatureValue` in class `AbstractTextPropertySection`
  Parameters:
    `newText` - the new value of the feature as a string.
  Returns:
    the new value of the feature.

### verifyField

    protected void verifyField(org.eclipse.swt.widgets.Event e)

  Description copied from class: `AbstractTextPropertySection`
  Subclasses may provide their own checker on the text that is entered by the user and update the 'doit' flag of the Event in consequence.

  Specified by:
    `verifyField` in class `AbstractTextPropertySection`
  Parameters:
    `e` - the Event that is sent when the Text is modified

### isTextValid

    protected boolean isTextValid()

  Description copied from class: `AbstractTextPropertySection`
  Check whether the text entered is valid or not. Subclasses should override this method to provide their own check. By default, return true.

  Overrides:
    `isTextValid` in class `AbstractTextPropertySection`
  Returns:
    true if the text entered is valid

### getFeature

    protected org.eclipse.emf.ecore.EStructuralFeature getFeature()

  Description copied from class: `AbstractTabbedPropertySection`
  Get the feature for the combo field for the section.

  Specified by:
    `getFeature` in class `AbstractTabbedPropertySection`
  Returns:
    the feature for the text.

### getOldFeatureValue

    protected java.lang.Object getOldFeatureValue()

  Description copied from class: `AbstractTextPropertySection`
  Returns the feature value from the model as an object type.

  Specified by:
    `getOldFeatureValue` in class `AbstractTextPropertySection`
  Returns:
    the feature object

### createCommand

    protected void createCommand(java.lang.Object oldValue,
                                 java.lang.Object newValue)

  Description copied from class: `AbstractTabbedPropertySection`
  Manages a self-contained set of interrelated EMF models and the `Command`s that modify them. The models are maintained in the form of a `ResourceSet`. Commands that modify the model are typically created through the domain and are executed using the `CommandStack`.

  Overrides:
    `createCommand` in class `AbstractTabbedPropertySection`
  Parameters:
    `oldValue` - The previous property value
    `newValue` - The new value to set

### getStringListValues

    protected abstract java.util.List<java.lang.String> getStringListValues(org.eclipse.emf.ecore.EObject modelElt)

### setStringListValues

    protected abstract void setStringListValues(org.eclipse.emf.ecore.EObject modelElt,
                                                java.util.List<java.lang.String> newValue)

Copyright 2007 Anyware Technologies. All Rights Reserved.